% !TeX spellcheck = en_US
\graphicspath{{src/part06_mesh_motion_applications/img/}}

\section{Moving Meshes - Application Problems}
\begin{frame}[plain,noframenumbering]{}
    
    %\centering
    \begin{centering}
        \hfill
        \begin{beamercolorbox}[rounded=true,center,sep=0.2em,wd=0.6\textwidth]{frametitle}
            \Huge Moving Meshes\\Application Problems
        \end{beamercolorbox}
        \hfill
    \end{centering}
    
    
    \begin{block}{Problems}
        \begin{itemize}
            \item \textit{Domain undergoing compression}
            \item \textit{Friction Stir Spot Welding} (FSSW)
            \item \textit{Heart-valve inspired benchmark}
        \end{itemize}
    \end{block}
    
\end{frame}

\subsection{Domain undergoing compression}
\begin{frame}{\textit{Domain undergoing compression}}
    
    \begin{columns}
        
        \column[t]{0.55\textwidth}
        \begin{block}{Deformation mode}\vspace{0.5em}
            \centering
            \includegraphics[height=0.48\textheight]{compression_test.sketch.pdf}
        \end{block}
        %$\Gamma_{w}^{t}$: interfase móvil
        
        \column[t]{0.45\textwidth}
        \begin{block}{Mesh discretization}\vspace{1em}
            \centering
            \includegraphics[width=1.0\textwidth]{compression_test.initial_mesh.pdf}    
        \end{block}
%        \begin{itemize}
%            \item 1500 elementos
%            \item 816 nodos
%        \end{itemize}
        
        
    \end{columns}
    
    \begin{columns}
        \column[t]{0.25\textwidth}\vspace{-1.5em}
        \begin{block}{}
            \begin{itemize}
                \item $\Gamma_{w}^{t}$: moving interface
                \item $\Gamma_{in}$: inlet
                \item $\Gamma_{out}$: outlet
            \end{itemize}
        \end{block}
        
        
        \column[t]{0.3\textwidth}\vspace{-1.5em}
        \begin{block}{}
            \begin{itemize}
                \item 1500 elementos
                \begin{itemize}
                    \item \#1: 1100 elementos
                    \item \#2: 400 elementos
                \end{itemize}
                \item 816 nodos
            \end{itemize}
        \end{block}
    
        \column[t]{0.45\textwidth}
        \begin{block}{}\vspace{-2.5em}
            \begin{table}[h]
                \begin{center}
                    \tiny
                    \begin{minipage}{0.9\textwidth}
                        \begin{tabular*}{\textwidth}{@{\extracolsep{\fill}}lccccc@{\extracolsep{\fill}}}
                            \toprule%
                            \multicolumn{3}{@{}l@{}}{BIMO} & \multicolumn{3}{@{}l@{}}{MJBS} \\\cmidrule{1-3}\cmidrule{4-6}%
                            & $k_f/k_g$ & $\lambda_{max}$  &        & $\nu$ & $\chi$ \\
                            \midrule
                            BIMO1  & $1.0$      & $1.5$             &  MJBS1 & $0.3$   & $1$ \\
                            BIMO2  & $10^{-6}$  & $1.5$             &  MJBS2 & $0.3$   & $2$ \\
                            \bottomrule
                        \end{tabular*}
                    \end{minipage}
                \end{center}
            \end{table}
        \end{block}
    \end{columns}
    
\end{frame}

\begin{frame}{\textit{Domain undergoing compression} - results}
    \vspace{-2em}
    \begin{columns}
        \column[t]{0.6\textwidth}
        \begin{block}{Mesh configuration}\vspace{3em}
            \centering
            \only<1>{
                \href{run:src/part06_mesh_motion_applications/img/compression_test_mesh.mp4?autostart&loop}
                {\includegraphics[height=0.50\textheight]{compression_test_mesh_final.png}}
            }
            %\only<2>{
            %    \includegraphics[height=0.50\textheight]{compression_test_mesh_final.png}
            %}
        \end{block}
        
        \column[t]{0.4\textwidth}
        \begin{block}{Pressure field}\vspace{1em}
            \centering
            \only<1>{
                \href{run:src/part06_mesh_motion_applications/img/compression_test_pressure.mp4?autostart}
                {\includegraphics[height=0.70\textheight]{compression_test_pressure_final.png}}
                \includegraphics[width=0.90\textwidth]{compression_test_pressure_warp.scale.png}
            }
            %\only<2>{
            %    \includegraphics[height=0.70\textheight]{compression_test_pressure_final.png}
            %    \includegraphics[width=0.90\textwidth]{compression_test_pressure_warp.scale.png}
            %}
        \end{block}
    \end{columns}
\end{frame}

\subsection{Friction Stir Spot Welding}
\begin{frame}{\textit{Friction Stir Spot Welding} (FSSW)}
\setlength{\leftmargini}{1.0em}
    
    \begin{columns}
        
        \column[t]{0.59\textwidth}
        \begin{block}{}\vspace{1em}
            \centering
            \includegraphics[width=1.0\textwidth]{fssw.sketch.pdf}
        \end{block}
        
        \column[t]{0.41\textwidth}
        \begin{block}{Problem setup}\vspace{0em}
            \begin{itemize}
                \item Axisymmetric NS (ALE)
                \item \textbf{Mesh dynamics (MJBS / BIMO)}
                \item Thermal problem (ALE)
                \item Tool-material contact
                \item Viscosity $\mu = \mu(\Gradsym(\v),T)$
                \item Conductivity $k = k(T)$
                \item Thermal capacity $C_p = C_p (T)$
                \item Heat source $f = f(\Gradsym(\v))$
            \end{itemize}    
        \end{block}
        
    \end{columns}
    
\end{frame}


\begin{frame}{\textit{Friction Stir Spot Welding} (FSSW)}
    
    \vspace{-1em}
    \begin{columns}
        \column[c]{0.60\textwidth}
        \begin{block}{Mesh discretization}\vspace{1em}
            \centering
            \includegraphics[width=1.0\textwidth]{fssw.initial_mesh_zoom.pdf}
        \end{block}
    
        \column[c]{0.4\textwidth}\vspace{3em}
        \begin{block}{}\vspace{-2.5em}
            \begin{table}[h]
                \begin{center}
                    \tiny
                    \begin{minipage}{0.9\textwidth}
                        \begin{tabular*}{\textwidth}{@{\extracolsep{\fill}}lccccc@{\extracolsep{\fill}}}
                            \toprule%
                            \multicolumn{3}{@{}l@{}}{BIMO} & \multicolumn{3}{@{}l@{}}{MJBS} \\\cmidrule{1-3}\cmidrule{4-6}%
                            & $k_f/k_g$ & $\lambda_{max}$  &        & $\nu$ & $\chi$ \\
                            \midrule
                            BIMO1  & $1.0$      & $1.5$             &  MJBS1 & $0.3$   & $1$ \\
                            BIMO2  & $10^{-6}$  & $1.5$             &  MJBS2 & $0.3$   & $2$ \\
                            \bottomrule
                        \end{tabular*}
                    \end{minipage}
                \end{center}
            \end{table}
        \end{block}
        
        \begin{block}{}
            \begin{itemize}
                \item 3634 elements
                \begin{itemize}
                    \item \#1: 2034 elems
                    \item \#2: 1600 elems
                \end{itemize}
                \item 1953 nodes
            \end{itemize}
        \end{block}        
        
        
        
    
    \end{columns}
    
    
\end{frame}



\begin{frame}{\textit{Friction Stir Spot Welding} (FSSW) - resultados}
    
%    \vspace{-4em}
%    \begin{columns}
%        \column[t]{0.5\textwidth}
%        \begin{block}{}\vspace{1em}
%            \centering
%            \includegraphics[width=0.60\textwidth]{example-image-b}
%        \end{block}
%        
%        \column[t]{0.50\textwidth}
%        \begin{block}{}\vspace{1em}
%            \centering
%            \includegraphics[width=0.60\textwidth]{example-image-b}
%        \end{block}
%    \end{columns}

\vspace{-2.2em}
\begin{columns}
    

    \column[t]{0.65\textwidth}
    \begin{center}
        \begin{block}{}\vspace{-2em}
            \centering
            \includegraphics[width=0.8\textwidth]{fssw_initial_mesh_layout_of_interest.pdf}
        \end{block}
    \end{center}
    \vspace{-3.5em}
    \begin{columns}
        \column[t]{0.5\textwidth}
        \begin{block}{\centering \small MJBS}\vspace{0.1em}
            \centering
            \href{run:src/part06_mesh_motion_applications/img/fssw_mjbs.mp4?autostart}
            {\includegraphics[width=0.9\textwidth]{fssw_mjbs_end.png}}
        \end{block}
        
        \column[t]{0.5\textwidth}
        \begin{block}{\centering \small BIMO}\vspace{0.1em}
            \centering
            \href{run:src/part06_mesh_motion_applications/img/fssw_bimo.mp4?autostart}
            {\includegraphics[width=0.9\textwidth]{fssw_bimo_end.png}}
        \end{block}
        
    \end{columns}


    \column[t]{0.35\textwidth}
    \vspace{-0.4em}
    \begin{block}{\raggedleft\small MJBS1/BIMO1}\vspace{0.0em}
        \centering
        \includegraphics[height=0.45\textheight]{fssw.max_norm_mjbs_vs_bimo_outer.pdf}
    \end{block}
    \vspace{-2em}
    \begin{block}{\raggedleft\small MJBS2/BIMO2}\vspace{0.0em}
        \centering
        \includegraphics[height=0.45\textheight]{fssw.max_norm_mjbs_vs_bimo_inner.pdf}
    \end{block}

 
\end{columns} 
    
\end{frame}

\subsection{Heart-valve inspired benchmark}
\begin{frame}{\textit{Heart-valve inspired benchmark}}
    
    \begin{block}{}\vspace{-1em}
        \centering
        \includegraphics[width=0.8\textwidth]{hvb.sketch.pdf}
    \end{block}
    
    \vspace{-0.5em}
    \begin{block}{FSI problem setup}\vspace{0em}
        \begin{itemize}
            \item NS (ALE)
            \item \textbf{Mesh dynamics (MJBS / BIMO)} 
            \item Finite strain (hyperelastic)
            \item Fluid-Structure coupling
            \item $\text{Re}>100$
        \end{itemize}    
    \end{block}
    
    
\end{frame}

\begin{frame}{\textit{Heart-valve inspired benchmark}}
    
    \begin{block}{Mesh discretization}
        \centering
        \includegraphics[width=1.0\textwidth]{hvb.initial_mesh.pdf}
    \end{block}
    
    \vspace{-1em}
    \begin{columns}
        \column[c]{0.3\textwidth}
        \begin{block}{}
            \begin{itemize}
                \item 11290 elements
                \begin{itemize}
                    \item \#1: 10838 elems
                    \item \#2: 452 elems
                \end{itemize}
                \item 6116 nodes
            \end{itemize}
        \end{block}
    
        \column[c]{0.4\textwidth}
        \begin{block}{}\vspace{0.0em}
            \begin{table}[h]
                \begin{center}
                    \tiny
                    \begin{minipage}{0.9\textwidth}
                        \begin{tabular*}{\textwidth}{@{\extracolsep{\fill}}lccccc@{\extracolsep{\fill}}}
                            \toprule%
                            \multicolumn{3}{@{}l@{}}{BIMO} & \multicolumn{3}{@{}l@{}}{MJBS} \\\cmidrule{1-3}\cmidrule{4-6}%
                            & $k_f/k_g$ & $\lambda_{max}$  &        & $\nu$ & $\chi$ \\
                            \midrule
                            BIMO1  & $1.0$      & $1.5$             &  MJBS1 & $0.3$   & $1$ \\
                            BIMO2  & $10^{-6}$  & $1.5$             &  MJBS2 & $0.3$   & $2$ \\
                            \bottomrule
                        \end{tabular*}
                    \end{minipage}
                \end{center}
            \end{table}
        \end{block}
    
    \end{columns}
    
    
    
\end{frame}

\begin{frame}{\textit{Heart-valve inspired benchmark} - results}


\begin{columns}

\column[t]{0.5\textwidth}    
\begin{center}
\begin{minipage}{1.0\textwidth}
    
    \vspace{-3em}
    \begin{columns}
        \column[t]{0.5\textwidth}
        \begin{block}{\centering MJBS}\vspace{0.2em}
            \centering
            \includegraphics[trim={20mm 40mm 220mm 0mm},clip,width=1.0\textwidth]
            {hvb.mesh_deformation.mjbs_level_1.png}
            \par\vspace{0.1em}
            \includegraphics[trim={50mm 40mm 190mm 0mm},clip,width=1.0\textwidth]
            {hvb.mesh_deformation.mjbs_level_2.png}
        \end{block}
        
        %\column[t]{0.0em}
        
        \column[t]{0.5\textwidth}
        \begin{block}{\centering BIMO}\vspace{0.2em}
            \centering
            \includegraphics[trim={20mm 40mm 220mm 0mm},clip,width=1.0\textwidth]{hvb.mesh_deformation.bimo_level_1.png}
            \par\vspace{0.1em}
            \includegraphics[trim={50mm 40mm 190mm 0mm},clip,width=1.0\textwidth]{hvb.mesh_deformation.bimo_level_2.png}
        \end{block}
    \end{columns}

\end{minipage}
\end{center}      

\column[t]{0.5\textwidth}\vspace{-0.2em}
\begin{block}{\centering BIMO}\vspace{0.2em}
    \centering
    \href{run:src/part06_mesh_motion_applications/img/hvb_bimo.mp4?autostart&loop}
    {\includegraphics[width=0.85\textwidth]{hvb_bimo.0000.png}}
\end{block}


\end{columns}


\end{frame}

